summaryrefslogtreecommitdiff
path: root/libqcdm
diff options
context:
space:
mode:
authorDan Williams <dcbw@redhat.com>2011-03-24 11:00:22 -0500
committerDan Williams <dcbw@redhat.com>2011-03-24 11:00:22 -0500
commitd639155161549662ecd096513784f9b8d80bf7c4 (patch)
tree3b27870d9846c682baa50845d9d182c2a6d47e46 /libqcdm
parent4ad0c01be02029d8caf62e099ca34cb02e43b83e (diff)
qcdm: add standalone autogen and configure
For building libqcdm separately from ModemManager.
Diffstat (limited to 'libqcdm')
-rwxr-xr-xlibqcdm/autogen.sh22
-rw-r--r--libqcdm/configure.ac48
2 files changed, 70 insertions, 0 deletions
diff --git a/libqcdm/autogen.sh b/libqcdm/autogen.sh
new file mode 100755
index 00000000..e3b537ce
--- /dev/null
+++ b/libqcdm/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# NOTE
+# This autogen.sh is only used when building libqcdm separately from ModemManager
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+REQUIRED_AUTOMAKE_VERSION=1.7
+PKG_NAME=libqcdm
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/src/com.c) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+(cd $srcdir;
+ autoreconf --install --symlink &&
+ autoreconf &&
+ ./configure --enable-maintainer-mode $@
+)
diff --git a/libqcdm/configure.ac b/libqcdm/configure.ac
new file mode 100644
index 00000000..afd68513
--- /dev/null
+++ b/libqcdm/configure.ac
@@ -0,0 +1,48 @@
+# NOTE
+# This configure.ac is only used when building libqcdm separately from
+# ModemManager.
+#
+
+AC_PREREQ(2.52)
+
+AC_INIT(libqcdm, 0.1, dcbw@redhat.com, libqcdm)
+AM_INIT_AUTOMAKE([1.9 subdir-objects tar-ustar no-dist-gzip dist-bzip2])
+m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
+AM_MAINTAINER_MODE
+
+AC_CONFIG_MACRO_DIR([m4])
+
+AC_CONFIG_HEADERS(config.h)
+
+dnl Required programs
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_PROG_INSTALL
+AC_PROG_LIBTOOL
+
+dnl Define _GNU_SOURCE for various things like strcasestr()
+AC_GNU_SOURCE
+
+PKG_CHECK_MODULES(MM, glib-2.0 >= 2.18)
+
+dnl
+dnl Tests
+dnl
+AC_ARG_WITH(tests, AS_HELP_STRING([--with-tests], [Build ModemManager tests]))
+AM_CONDITIONAL(WITH_TESTS, test "x$with_tests" = "xyes")
+case $with_tests in
+ yes)
+ with_tests=yes
+ ;;
+ *)
+ with_tests=no
+ ;;
+esac
+
+AC_CONFIG_FILES([
+Makefile
+src/Makefile
+tests/Makefile
+])
+AC_OUTPUT
+